summaryrefslogtreecommitdiff
path: root/qa/743
diff options
context:
space:
mode:
Diffstat (limited to 'qa/743')
-rwxr-xr-xqa/74335
1 files changed, 35 insertions, 0 deletions
diff --git a/qa/743 b/qa/743
new file mode 100755
index 0000000..4468b5f
--- /dev/null
+++ b/qa/743
@@ -0,0 +1,35 @@
+#!/bin/sh
+# PCP QA Test No. 743
+# Exercise the pcp-numastat(1) command using an archive
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.python
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+archive1="-a $here/src/pcp-numastat-1-node -z"
+archive3="-a $here/src/numa -z"
+
+# real QA test starts here
+echo && echo 1 node numastat output, at archive start, cmd width
+pcp $archive1 numastat --width=64
+
+echo && echo 1 node numastat output, at archive end, cmd width
+pcp $archive1 -O-0 numastat --width=64
+
+echo && echo 3 node numastat output, at archive end, large env width
+NUMASTAT_WIDTH=1000 pcp $archive3 -O-0 numastat
+
+echo && echo 3 node numastat output, at archive end, small env width
+NUMASTAT_WIDTH=50 pcp $archive3 -O-0 numastat
+
+# success, all done
+status=0
+exit